Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-1632

Overview

Vulnerability Score 2.1 2.1
CVE Id CVE-2012-1632
Last Modified 20 Sep 2012 01:51:57
Published 19 Sep 2012 08:55:04
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity HIGH
Authentication SINGLE_INSTANCE

CVE-2012-1632

Summary

Cross-site scripting (XSS) vulnerability in password_policy.admin.inc in the Password Policy module before 6.x-1.4 and 7.x-1.0 beta3 for Drupal allows remote authenticated users with administer policies permissions to inject arbitrary web script or HTML via the name parameter.

Vulnerable Systems

Application

  • Erik Webb Password Policy 5.x-1.0

  • Erik Webb Password Policy 5.x-1.x

  • Erik Webb Password Policy 6.x-1.0

  • Erik Webb Password Policy 6.x-1.1

  • Erik Webb Password Policy 6.x-1.2

  • Erik Webb Password Policy 6.x-1.3

  • Erik Webb Password Policy 6.x-1.x

  • Erik Webb Password Policy 7.x-1.0


References

BID - 51385

MLIST - [oss-security] 20120406 CVE's for Drupal Contrib 2012 001 through 057 (67 new CVE assignments)

SECUNIA - 47541

CONFIRM - http://drupalcode.org/project/password_policy.git/commit/3c688c3b4a3ed96fdc4b89883595633338c7ebb6

CONFIRM - http://drupal.org/node/1401678


Last Updated: 27 May 2016 11:00:45